/// <reference types="react" />
declare type inputErrorsTypes = {
    errorName: string;
    errorCard: string;
    errorDate: string;
    errorCvv: string;
};
export declare const useCheckoutForm: (country: string, onSubmit: any, inputErrors: inputErrorsTypes) => {
    cardName: string;
    cardValidationChanged: (e: any) => void;
    paymentMethodChanged: ({ paymentMethod }: any) => void;
    frameValidationChanged: (e: {
        element: string;
        isValid: boolean;
        isEmpty: boolean;
    }) => void;
    handlePostalCodeChange: ({ target: { value } }: any) => void;
    handleChangeName: ({ target: { value } }: any) => void;
    handleSubmit: () => void;
    name: string;
    country: string;
    postalCode: string;
    loading: boolean;
    disabledBtn: boolean;
    errorMsgCard: string;
    errorMsgDate: string;
    errorMsgCvv: string;
    errorMsgCardEmpty: boolean;
    errorMsgDateEmpty: boolean;
    errorMsgCvvEmpty: boolean;
    setBillingPostcode: import("react").Dispatch<import("react").SetStateAction<string>>;
    billingPostcode: string;
    loadedScript: boolean;
    errorVisible: boolean;
    errorMsgInvalidName: string;
};
export {};
