import { createUseStyles } from "react-jss";
import { animatedLoadingButton } from "../../../../theme/buttons";

export const useStyles = createUseStyles({
    payPal: {
        marginBottom: 12,
    },
    hide: {
        display: 'none'
    },
    loadingButtonBackground: {
        ...animatedLoadingButton,
    },
    '@keyframes animatedBackground': {
        'from': {
            backgroundPosition: '0 0',
        },
        'to': {
            backgroundPosition: '1000px 0',
        }
    }
});
