import { ThemeProps } from "./";
export declare const primaryButton: ({ palette, overwrite }: ThemeProps) => any;
export declare const coloredButton: ({ palette }: ThemeProps) => {
    borderRadius: string;
    height: string;
    background: string;
    color: string;
    transition: string;
    '&>p': {
        fontSize: string;
    };
    '&:hover': {};
    '&:active': {
        boxShadow: string;
    };
};
export declare const selectedButton: ({ palette, animationTime, overwrite }: ThemeProps) => {
    root: any;
    rootSelected: any;
};
export declare const checkButton: ({ palette }: ThemeProps) => {
    '& $checkWrapper': {
        marginLeft: number;
        minWidth: number;
        width: number;
        height: number;
        background: string;
        position: string;
        right: string;
        display: string;
        justifyContent: string;
        alignItems: string;
        borderRadius: string;
    };
    '& $checkIconCl': {
        width: number;
        '& path': {
            color: string;
        };
    };
    '& $childrenStyle': {
        paddingRight: string;
    };
    '& $centeredChildren': {
        width: string;
        paddingLeft: string;
        "@media (max-width: 365px)": {
            paddingLeft: number;
        };
    };
    display: string;
    justifyContent: string;
    alignItems: string;
};
export declare const animatedLoadingButton: {
    width: string;
    height: string;
    borderRadius: string;
    marginBottom: string;
    backgroundImage: string;
    backgroundPosition: string;
    backgroundRepeat: string;
    animation: string;
    color: string;
    pointerEvents: string;
    '& img': {
        display: string;
    };
};
